Bug 432113 - minor positioning erros with hebrew punctuation marks
minor positioning erros with hebrew punctuation marks
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n
Depends On: 431608
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 16:43 EST by Nadav Kavalerchik
Modified: 2008-03-04 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 08:08:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screen capture of hebrew punctuation off position in liberation sans fonts (121.52 KB, image/jpeg)
2008-02-08 16:43 EST, Nadav Kavalerchik
no flags Details
original odt file (8.37 KB, application/vnd.oasis.opendocument.text)
2008-02-08 16:46 EST, Nadav Kavalerchik
no flags Details
generated pdf file (44.96 KB, application/pdf)
2008-02-08 16:46 EST, Nadav Kavalerchik
no flags Details

  None (edit)
Description Nadav Kavalerchik 2008-02-08 16:43:56 EST
Description of problem:
their are three punctuation glyphs that are a little off position
they are :
key <AE02> { [     2, at          , 0x10005b2	]}; // H. Patah
key <AE03> { [     3, numbersign  , 0x10005b3	]}; // H.  Qamats
key <AE04> { [     4, dollar      , 0x10005b4	]}; // Hiriq
(according to the xorg's hebrew il layout file in : 
file:///usr/share/X11/xkb/symbols/il )

I am attaching a screen capture with an OpenOffice document and a generated PDF
of the same document. (funny... the pdf almost generate it correctly)

you can see in the photo how it should be as displayed with fonts:
 "Ezra Sil" and "Deja Vu Sans"


Version-Release number of selected component (if applicable):
1.0-1-fc8

How reproducible:
write some hebrew text and adding the punctuation marks (Win+2/3/4)
(using Open Office 2.2 Writer)

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
should be similar to "Ezra Sil" or "Deja Vu Sans" fonts

Additional info:
Comment 1 Nadav Kavalerchik 2008-02-08 16:43:56 EST
Created attachment 294421 [details]
screen capture of hebrew punctuation off position in liberation sans fonts
Comment 2 Nadav Kavalerchik 2008-02-08 16:46:08 EST
Created attachment 294422 [details]
original odt file
Comment 3 Nadav Kavalerchik 2008-02-08 16:46:47 EST
Created attachment 294424 [details]
generated pdf file
Comment 4 Nadav Kavalerchik 2008-02-13 07:10:50 EST
i've just downloaded "fontmatrix" and "fontforge" and found out that liberation
fonts does not have Hebrew glyphs implemented at all :-(

i was actually getting another font instead of liberation when i choose it in
Writer (Open Office) and i didn't know.

i'll try to figure out which font it really is. 

any ideas how i could do that ?
Comment 5 Caius Chance 2008-03-03 08:00:42 EST
Hi Nadev,

On gnome desktop, press alt-f2 to open 'run application' window. Input
'gucharmap' to open character map. Click 'menu > 'by unicode block', select
hebrew on the left list. On the characters in the right hand side grid, right
click and hold. You will see which font is used to display such character. on my
RHEL5 machine, it shows either 'Miriam Mono CLM' or 'Aharoni CLM'.

Please reconfirm openoffice is using such two fonts on your machine for those
characters. Feel free to reopen this bug if you found this is still
liberation-font's defect. Thank you very much.

Best Regards,
Caius.
Comment 6 Caius Chance 2008-03-03 08:01:31 EST
I'll check this again on my F8 machine.
Comment 7 Caius Chance 2008-03-03 08:08:40 EST
According to bug# 431608, I would close this bug by similar reason.
Comment 8 Nadav Kavalerchik 2008-03-04 14:57:08 EST
thank you for "Discovering America" for me :-)
i did not knew that gucharmap could do that !
(btw. do you know a tool that can show the font family/name of the underling
text under the mouse pointer ? )

i had other UI font issues with OOo 2.3 see bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=431608
https://bugzilla.redhat.com/show_bug.cgi?id=434705

after a complete system update... OOo version 2.3
the issue was gone :-)

i found out that "Liberation Sans" font was using "DejaVu Sans" for hebrew
glyphs and that it is working just fine ! which means: punctuation marks are
positioned correctly :-)

let's close this one ;-)
Comment 9 Caius Chance 2008-03-04 17:52:51 EST
(In reply to comment #8)
> (btw. do you know a tool that can show the font family/name of the underling
> text under the mouse pointer ? )

AFAIK, sorry no. :)

Note You need to log in before you can comment on or make changes to this bug.